Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.transform.disassembler
Class XmlDisassemblerFactory

    java.lang.Object
      com.bea.netuix.application.transform.disassembler.XmlDisassemblerFactory

    public class XmlDisassemblerFactory

extends Object

This class is the public entry point into the disassembler. Call newInstance to get an instance to disassemble a portal/desktop.

Method Summary
`static XmlDisassembler` | `newInstance(XmlDisassemblerContext context)` Main public method to return a disassembler for a Desktop, Book, or Page.
`static XmlDisassembler` | `newInstance(XmlDisassemblerContext context, MarkupType markupType)` Deprecated Use newInstance instead.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### newInstance

    public static XmlDisassembler newInstance(XmlDisassemblerContext context)
                                       throws NoSuchXmlDisassemblerException,
                                              XmlDisassemblerException

  Main public method to return a disassembler for a Desktop, Book, or Page. A precondition of this routine is that the XML document returned by context.getDocument be schema-valid.

  Throws
    `NoSuchXmlDisassemblerException`
    `XmlDisassemblerException`

### newInstance

    @Deprecated
    public static XmlDisassembler newInstance(XmlDisassemblerContext context,
                                                         MarkupType markupType)
                                       throws NoSuchXmlDisassemblerException,
                                              XmlDisassemblerException

  Deprecated Use newInstance instead.

  Throws
    `NoSuchXmlDisassemblerException`
    `XmlDisassemblerException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.